Subject: bug#43152: 28.0.50; when building emacs 28.0.50 ./temacs is stopped with core

From: Angelo Graziosi <[email-masked]>
Date: Fri, 4 Sep 2020 01:53:44 +0200 (CEST)

> Il 04/09/2020 01:17 Angelo Graziosi ha scritto:
> 
> I am afraid but both master and your revert commit fails to build in the same manner on macOS 10.13.6.
> 
> For sanity check, I tried another build of 2ff930d861b772466b9f6b95d1776696298f3e0b, which fails to build, and 7605060d51bbce88307c09bd2e9be60f2750ee3d which builds fine.
> 
> As source I respectively used 
> 
> https://git.savannah.gnu.org/cgit/emacs.git/snapshot/emacs-2ff930d861b772466b9f6b95d1776696298f3e0b.tar.gz
> 
> https://git.savannah.gnu.org/cgit/emacs.git/snapshot/emacs-7605060d51bbce88307c09bd2e9be60f2750ee3d.tar.gz

BTW, using the result of 7605060d51bbce88307c09bd2e9be60f2750ee3d, About Emacs (C-h C-a) says it is:

GNU Emacs 27.1.50 (build 1, x86_64-apple-darwin17.7.0, NS appkit-1561.61 Version 10.13.6 (Build 17G14019))
 of 2020-09-04

Shouldn't it say it is 28.0.50?

> Angelo